public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-python/biplist/
@ 2016-02-18 12:17 Patrick Lauer
  0 siblings, 0 replies; 6+ messages in thread
From: Patrick Lauer @ 2016-02-18 12:17 UTC (permalink / raw
  To: gentoo-commits

commit:     3eeb62d116fc8dcac9d3f6d562d86989caafd2a6
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 18 11:07:25 2016 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Thu Feb 18 12:16:51 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3eeb62d1

dev-python/biplist: Bump

Package-Manager: portage-2.2.27

 dev-python/biplist/Manifest             |  1 +
 dev-python/biplist/biplist-1.0.1.ebuild | 29 +++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/dev-python/biplist/Manifest b/dev-python/biplist/Manifest
index bc9379d..13c2e5b 100644
--- a/dev-python/biplist/Manifest
+++ b/dev-python/biplist/Manifest
@@ -1,2 +1,3 @@
 DIST biplist-0.8.tar.gz 14306 SHA256 d8a9c6dff4d2a45fb3e9f27d19ea63da0a82ed59c758c34f6342badaccf6ea71 SHA512 7b2fe9b0c4080ae690f1d856a0fc7ca3bbabfed81aa4c06509d584041be4802e4e1b004bef83326f518baf1cbc147dc36b0c55e769a6b5c170fee278f7b1d9d8 WHIRLPOOL 024a283e536c6e56275d48232f3b7a134c15169ff853821e4050fb8bddc6381827e526ac107c352bb9d45bc8965b15cb0a9528580340f03efde416a70c0c8c5a
 DIST biplist-0.9.tar.gz 14591 SHA256 b57cadfd26e4754efdf89e9e37de87885f9b5c847b2615688ca04adfaf6ca604 SHA512 d0999f6f4d23a4f4e1eaabb831750cb8d51a452b7896ed85409bb8614ba3e89e1e558688de5f5259a86503a55886887c6364d37a886d2ad5699fd067f0be7230 WHIRLPOOL 5d7a757c151737939a1759817d396a200b52074dc317fc14bb751b54b74fd36fae1f4d01036f5bb39859c6312da4ff5f438b2d0e120b1aa45cffe4c76edfd468
+DIST biplist-1.0.1.tar.gz 16251 SHA256 41843579a531958bf0df88b471cf8d446723e640c73c469374e4ac313c33b6a8 SHA512 017bbea254f74d2c647322044a7b9a6006a0d69ecd44d1cd0281a3f30b38fd0feeef1b07272b9495440d3cd4434e2d4802681959b4185e2c354999884605a657 WHIRLPOOL d533fcfb05f52682bd309128463adb876a99d803c86118bdf92a90e6155b56a012b7bc60b7e1a309bca7169a560d500b2508e7b43bd5272f6780bc209ca96eb3

diff --git a/dev-python/biplist/biplist-1.0.1.ebuild b/dev-python/biplist/biplist-1.0.1.ebuild
new file mode 100644
index 0000000..a4bc079
--- /dev/null
+++ b/dev-python/biplist/biplist-1.0.1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="A binary plist parser/generator for Python"
+HOMEPAGE="https://pypi.python.org/pypi/biplist/ https://github.com/wooster/biplist"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+LICENSE="BSD"
+SLOT="0"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	test? ( dev-python/nose[${PYTHON_USEDEP}]
+		dev-python/coverage[${PYTHON_USEDEP}]
+		${RDEPEND} )"
+
+python_test() {
+	# This failure still occurs, after 18 momths
+	# https://github.com/wooster/biplist/issues/8
+	nosetests || die "Tests failed under ${EPYTHON}"
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/biplist/
@ 2016-04-14  4:48 Ian Delaney
  0 siblings, 0 replies; 6+ messages in thread
From: Ian Delaney @ 2016-04-14  4:48 UTC (permalink / raw
  To: gentoo-commits

commit:     c4178de61084124638252a9ec08077ace23f12a5
Author:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 14 02:48:54 2016 +0000
Commit:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Thu Apr 14 04:47:42 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c4178de6

dev-python/biplist: add py3.5 support to vn. 1.0.1, bump to EAPI 6

Package-Manager: portage-2.2.28

 dev-python/biplist/biplist-1.0.1.ebuild | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/dev-python/biplist/biplist-1.0.1.ebuild b/dev-python/biplist/biplist-1.0.1.ebuild
index a4bc079..ae3e36c 100644
--- a/dev-python/biplist/biplist-1.0.1.ebuild
+++ b/dev-python/biplist/biplist-1.0.1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI=5
-PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} pypy )
 
 inherit distutils-r1
 


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/biplist/
@ 2017-01-17 16:22 Agostino Sarubbo
  0 siblings, 0 replies; 6+ messages in thread
From: Agostino Sarubbo @ 2017-01-17 16:22 UTC (permalink / raw
  To: gentoo-commits

commit:     ae6ee04bf8baf5914d6cac30bc4084ebec763d4a
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 17 16:19:11 2017 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Tue Jan 17 16:21:47 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ae6ee04b

dev-python/biplist: amd64 stable wrt bug #606014

Package-Manager: portage-2.3.0
RepoMan-Options: --include-arches="amd64"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 dev-python/biplist/biplist-1.0.1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-python/biplist/biplist-1.0.1.ebuild b/dev-python/biplist/biplist-1.0.1.ebuild
index 13ace0a..33b49a2 100644
--- a/dev-python/biplist/biplist-1.0.1.ebuild
+++ b/dev-python/biplist/biplist-1.0.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -10,7 +10,7 @@ inherit distutils-r1
 DESCRIPTION="A binary plist parser/generator for Python"
 HOMEPAGE="https://pypi.python.org/pypi/biplist/ https://github.com/wooster/biplist"
 SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 ~x86"
 IUSE="test"
 
 LICENSE="BSD"


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/biplist/
@ 2017-05-15 12:56 Manuel Rüger
  0 siblings, 0 replies; 6+ messages in thread
From: Manuel Rüger @ 2017-05-15 12:56 UTC (permalink / raw
  To: gentoo-commits

commit:     72b76d7c85241f4efb38e796321d3cbf662f7cfe
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Mon May 15 12:46:02 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Mon May 15 12:46:02 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=72b76d7c

dev-python/biplist: Add python3_6

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 dev-python/biplist/biplist-1.0.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/biplist/biplist-1.0.1.ebuild b/dev-python/biplist/biplist-1.0.1.ebuild
index 381bf5eacef..7a2b1df19f8 100644
--- a/dev-python/biplist/biplist-1.0.1.ebuild
+++ b/dev-python/biplist/biplist-1.0.1.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
-PYTHON_COMPAT=( python{2_7,3_4,3_5} pypy )
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy )
 
 inherit distutils-r1
 


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/biplist/
@ 2017-05-26 22:37 Patrice Clement
  0 siblings, 0 replies; 6+ messages in thread
From: Patrice Clement @ 2017-05-26 22:37 UTC (permalink / raw
  To: gentoo-commits

commit:     fcabdce3ad2acaff0805312e67b313c85de06afb
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Fri May 26 22:00:21 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Fri May 26 22:37:16 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fcabdce3

dev-python/biplist: remove trailing whitespaces.

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 dev-python/biplist/biplist-1.0.2.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-python/biplist/biplist-1.0.2.ebuild b/dev-python/biplist/biplist-1.0.2.ebuild
index 9fdaa94da67..d3a18dd6d5a 100644
--- a/dev-python/biplist/biplist-1.0.2.ebuild
+++ b/dev-python/biplist/biplist-1.0.2.ebuild
@@ -18,10 +18,10 @@ SLOT="0"
 RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
 DEPEND="
 	dev-python/setuptools[${PYTHON_USEDEP}]
-	test? ( 
+	test? (
 		dev-python/nose[${PYTHON_USEDEP}]
 		dev-python/coverage[${PYTHON_USEDEP}]
-		${RDEPEND} 
+		${RDEPEND}
 	)"
 
 python_test() {


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/biplist/
@ 2017-05-26 22:37 Patrice Clement
  0 siblings, 0 replies; 6+ messages in thread
From: Patrice Clement @ 2017-05-26 22:37 UTC (permalink / raw
  To: gentoo-commits

commit:     3716139e6ba759660468b696b0b2cca3dce1d157
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Fri May 26 21:59:43 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Fri May 26 22:37:13 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3716139e

dev-python/biplist: version bump.

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 dev-python/biplist/Manifest             |  1 +
 dev-python/biplist/biplist-1.0.2.ebuild | 31 +++++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/dev-python/biplist/Manifest b/dev-python/biplist/Manifest
index 302ae54c0c4..a63922f2757 100644
--- a/dev-python/biplist/Manifest
+++ b/dev-python/biplist/Manifest
@@ -1 +1,2 @@
 DIST biplist-1.0.1.tar.gz 16251 SHA256 41843579a531958bf0df88b471cf8d446723e640c73c469374e4ac313c33b6a8 SHA512 017bbea254f74d2c647322044a7b9a6006a0d69ecd44d1cd0281a3f30b38fd0feeef1b07272b9495440d3cd4434e2d4802681959b4185e2c354999884605a657 WHIRLPOOL d533fcfb05f52682bd309128463adb876a99d803c86118bdf92a90e6155b56a012b7bc60b7e1a309bca7169a560d500b2508e7b43bd5272f6780bc209ca96eb3
+DIST biplist-1.0.2.tar.gz 16246 SHA256 d2f974dd0972a70af6b8ff3b50ad165982bdba49ad8bcc47a58b28b9cc20ec34 SHA512 2418d24b2d9e36aad76ac6626e82b8f60f0c167636142a054b02de3437d117fa1ccfeb9c104801fe106fec2d7a31c2bdeaab27fd519f1bce3bdf8a3b90b42c27 WHIRLPOOL 02f0ba8a2e1209be947ff5a283e194b354c600a4d4bb32f23003c452ce100ed3483d41bfd2b4b3c2510744c5c530f59a0301613663debb7b22bbe2ffe9852f0d

diff --git a/dev-python/biplist/biplist-1.0.2.ebuild b/dev-python/biplist/biplist-1.0.2.ebuild
new file mode 100644
index 00000000000..9fdaa94da67
--- /dev/null
+++ b/dev-python/biplist/biplist-1.0.2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="A binary plist parser/generator for Python"
+HOMEPAGE="https://pypi.python.org/pypi/biplist/ https://github.com/wooster/biplist"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+LICENSE="BSD"
+SLOT="0"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? ( 
+		dev-python/nose[${PYTHON_USEDEP}]
+		dev-python/coverage[${PYTHON_USEDEP}]
+		${RDEPEND} 
+	)"
+
+python_test() {
+	# This failure still occurs, after 18 momths
+	# https://github.com/wooster/biplist/issues/8
+	nosetests || die "Tests failed under ${EPYTHON}"
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2017-05-26 22:37 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-01-17 16:22 [gentoo-commits] repo/gentoo:master commit in: dev-python/biplist/ Agostino Sarubbo
  -- strict thread matches above, loose matches on Subject: below --
2017-05-26 22:37 Patrice Clement
2017-05-26 22:37 Patrice Clement
2017-05-15 12:56 Manuel Rüger
2016-04-14  4:48 Ian Delaney
2016-02-18 12:17 Patrick Lauer

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox